<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.dao.UserReportMapper">
  <resultMap id="BaseResultMap" type="com.qxgmat.data.dao.entity.UserReport">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="user_id" jdbcType="INTEGER" property="userId" />
    <result column="paper_id" jdbcType="INTEGER" property="paperId" />
    <result column="paper_module" jdbcType="VARCHAR" property="paperModule" />
    <result column="module_id" jdbcType="INTEGER" property="moduleId" />
    <result column="question_no_ids" jdbcType="VARCHAR" property="questionNoIds" typeHandler="com.nuliji.tools.mybatis.handler.IntegerArrayWithJsonHandler" />
    <result column="question_number" jdbcType="INTEGER" property="questionNumber" />
    <result column="time" jdbcType="INTEGER" property="time" />
    <result column="user_number" jdbcType="INTEGER" property="userNumber" />
    <result column="user_time" jdbcType="INTEGER" property="userTime" />
    <result column="user_correct" jdbcType="INTEGER" property="userCorrect" />
    <result column="finish_time" jdbcType="TIMESTAMP" property="finishTime" />
    <result column="setting" jdbcType="VARCHAR" property="setting" typeHandler="com.nuliji.tools.mybatis.handler.JsonObjectHandler" />
    <result column="detail" jdbcType="VARCHAR" property="detail" typeHandler="com.nuliji.tools.mybatis.handler.JsonObjectHandler" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `id`, `user_id`, `paper_id`, `paper_module`, `module_id`, `question_no_ids`, `question_number`, 
    `time`, `user_number`, `user_time`, `user_correct`, `finish_time`, `setting`, `detail`, 
    `create_time`, `update_time`
  </sql>
</mapper>